import Ember from 'ember';

const {Component, computed} = Ember;

export default Component.extend({
    buttonLabel: "Submit",
    triggeredValidation: false,

    isDisabled: computed.not('for.isValid'),

    actions: {
        submit: function() {
            this.set('triggeredValidation', true);
            this.sendAction();
        }
    }
});
